MPI_Get_version(3)

NAME
MPI_Get_version - Returns the version of the standard corresponding to the current implementation.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Get_version(int *version, int *subversion)

Fortran Syntax
USE MPI
! or the older form: INCLUDE 'mpif.h'
MPI_GET_VERSION(VERSION, SUBVERSION, IERROR)
	INTEGER	VERSION, SUBVERSION, IERROR

Fortran 2008 Syntax
USE mpi_f08
MPI_Get_version(version, subversion, ierror)
	INTEGER, INTENT(OUT) :: version, subversion
	INTEGER, OPTIONAL, INTENT(OUT) :: ierror

C++ Syntax
#include <mpi.h>
void Get_version(int& version, int& subversion)

OUTPUT PARAMETERS

version
    The major version number of the corresponding standard (integer).

subversion
    The minor version number of the corresponding standard (integer).

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
Since Open MPI is MPI 3.1 compliant, this function will return a version value of 3 and a subversion value of 1 for this release.

NOTE
MPI_Get_version is one of the few functions that can be called before MPI_Init and after MPI_Finalize.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.